7 Replies Latest reply: Jan 27, 2013 11:19 PM by Jairam RSS

    TNS-12618: TNS:versions are incompatible

    Jairam
      Hi Everyone,

      We are using the oracle database version 9.2.0.6 with IBM-AIX server.,While I am trying to ping a database from a remote server I am getting the error as
      "TNS-12618: TNS:versions are incompatible".,

      Command:
      ------------

      abcd:oracle:test#lsnrctl

      LSNRCTL for IBM/AIX RISC System/6000: Version 9.2.0.6.0 - Production on 18-JAN-2013 07:21:28

      Copyright (c) 1991, 2002, Oracle Corporation. All rights reserved.

      Welcome to LSNRCTL, type "help" for information.

      LSNRCTL> status listener
      Connecting to (DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=abcd)(PORT=1521)))
      TNS-12618: TNS:versions are incompatible
      LSNRCTL> exit

      Below is my Listener entry:
      ---------------------------

      LISTENER =
      (DESCRIPTION_LIST =
      (DESCRIPTION =
      (ADDRESS_LIST =
      (ADDRESS = (PROTOCOL = TCP)(HOST = abcd)(PORT = 1521))
      )
      )
      )

      SID_LIST_LISTENER =
      (SID_LIST =
      (SID_DESC =
      (ORACLE_HOME = /NG/prod/oracle/product/9.2.0)
      (SID_NAME = test)
      )
        • 1. Re: TNS-12618: TNS:versions are incompatible
          asahide
          Hi,

          Could you run "lsnrctl version"?

          Regards,
          • 2. Re: TNS-12618: TNS:versions are incompatible
            Jairam
            Hi,

            As you said I ran lsnrctl version command and found that the listener is running on different oracle version on the same server.It's working fine after setting the environment variables properly.,

            But I have a problem while connecting the database from a remote server. The oracle version in remote server is 10.2.0.5 and the source DB version is 9.2.0.6
            (But the listener is running in 10.1.0.3 version on source server).,While checking the tnsping from target server I got the error as "TNS-12541: TNS:no listener"

            Command:

            $ tnsping test

            TNS Ping Utility for HPUX: Version 10.2.0.5.0 - Production on 18-JAN-2013 07:59:54

            Copyright (c) 1997, 2010, Oracle. All rights reserved.

            Used parameter files:


            Used TNSNAMES adapter to resolve the alias
            Attempting to contact (DESCRIPTION = (ADDRESS_LIST = (ADDRESS = (PROTOCOL = TCP)(HOST = abcd)(PORT = 1521))) (CONNECT_DATA = (SERVICE_NAME = test)))
            TNS-12541: TNS:no listener
            $
            • 3. Re: TNS-12618: TNS:versions are incompatible
              asahide
              Hi,

              Run "lsnrctl services" on source server and put its output here.

              Regards,
              • 4. Re: TNS-12618: TNS:versions are incompatible
                Jairam
                Here is the output,

                abcd:oracle:test#lsnrctl services

                LSNRCTL for IBM/AIX RISC System/6000: Version 10.1.0.3.0 - Production on 18-JAN-2013 08:25:28

                Copyright (c) 1991, 2004, Oracle. All rights reserved.

                Connecting to (DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=abcd)(PORT=1521)))
                Services Summary...
                Service "test" has 1 instance(s).
                Instance "test", status UNKNOWN, has 1 handler(s) for this service...
                Handler(s):
                "DEDICATED" established:316095 refused:6
                LOCAL SERVER
                • 5. Re: TNS-12618: TNS:versions are incompatible
                  asahide
                  Hi,

                  Looks like so good..
                  Could you check sqlnet.log(remote server) and network connectivity(ping etc..)?

                  Regards,
                  • 6. Re: TNS-12618: TNS:versions are incompatible
                    EdStevens
                    Jairam wrote:
                    Hi,

                    As you said I ran lsnrctl version command and found that the listener is running on different oracle version on the same server.It's working fine after setting the environment variables properly.,

                    But I have a problem while connecting the database from a remote server. The oracle version in remote server is 10.2.0.5 and the source DB version is 9.2.0.6
                    (But the listener is running in 10.1.0.3 version on source server).,While checking the tnsping from target server I got the error as "TNS-12541: TNS:no listener"

                    Command:

                    $ tnsping test

                    TNS Ping Utility for HPUX: Version 10.2.0.5.0 - Production on 18-JAN-2013 07:59:54

                    Copyright (c) 1997, 2010, Oracle. All rights reserved.

                    Used parameter files:


                    Used TNSNAMES adapter to resolve the alias
                    Attempting to contact (DESCRIPTION = (ADDRESS_LIST = (ADDRESS = (PROTOCOL = TCP)(HOST = abcd)(PORT = 1521))) (CONNECT_DATA = (SERVICE_NAME = test)))
                    TNS-12541: TNS:no listener
                    $
                    Have a look at http://edstevensdba.wordpress.com/2011/02/09/sqlnet_overview/] - Help! I can’t connect to my database
                    and http://edstevensdba.wordpress.com/2011/02/16/sqlnet_client_cfg/] - Help! I can’t connect to my database - part duex
                    • 7. Re: TNS-12618: TNS:versions are incompatible
                      Jairam
                      Hi Everyone,

                      The problem was in host name., We have used IP address instead of host name and it is working fine.,
                      (Sorry for this delayed update)